import React from 'react'
import { Parallax } from "react-scroll-parallax";
import Slider from "react-slick";
import "slick-carousel/slick/slick.css";
import "slick-carousel/slick/slick-theme.css";
import Image from 'next/image';


const HomeMonthly = () => {
  const settings = {
    dots: false,
    infinite: true,
    slidesToShow: 3,
    slidesToScroll: 1,
    autoplay: true,
    speed: 2000,
    autoplaySpeed: 2000,
    cssEase: "linear",
    responsive: [
      {
        breakpoint: 815,
        settings: {
          slidesToShow: 2,
          slidesToScroll: 2,
          initialSlide: 2
        }
      },
      {
        breakpoint: 480,
        settings: {
          slidesToShow: 1,
          slidesToScroll: 1
        }
      }
    ]
  };
  
  return (
    <Parallax speed={0}>
      <div className='w-full h-full bg-[#5F8670] rounded-t-3xl pb-20'>
        <div className='flex flex-col gap-4 py-5 sm:py-10 px-5 lg:px-10'>
          <p className='text-center md:text-start text-3xl lg:text-[50px] leading-none xl:text-6xl 2xl:text-[5vw] text-[#BACD92] uppercase font-semibold drop-shadow-[0_3px_3px_rgba(105,105,105,1)]'>Monthly Special</p>
          <p className='w-full md:w-[500px] lg:w-[800px] text-center md:text-start text-base lg:text-lg xl:text-xl text-white'>Each month we bring different donuts to a classic flavor, so no two months are the same. Save up to 40% on special donuts only for our members!</p> 
          <p className='w-full md:w-[500px] lg:w-[800px] text-center md:text-start text-base text-white'><span className='text-red-700 text-xl'>**</span> Save up to 30% on special donuts only for our members!</p> 
        </div>
        <div className="mt-10 sm:mt-20">
          <Slider {...settings}>
            <div className='flex flex-col text-center items-center justify-center'>
              <Image src='/donut6.png' width={350} height={350} alt='monthly' className='w-[200px] sm:w-[300px] m-auto'/>
              <p className='text-white font-semibold capitalize'>Oreo cookie crumble</p>
            </div>
            <div className='flex flex-col text-center items-center justify-center'>
              <Image src='/donut7.png' width={350} height={350} alt='monthly' className='w-[250px] sm:w-[350px] m-auto'/>
              <p className='text-white font-semibold capitalize'>Reese's Peanut Butter Cup</p>
            </div>
            <div className='flex flex-col text-center items-center justify-center'>
              <Image src='/donut8.png' width={350} height={350} alt='monthly' className='w-[250px] sm:w-[350px] m-auto'/>
              <p className='text-white font-semibold capitalize'>M&M Chocolate Boston cream</p>
            </div>
            <div className='flex flex-col text-center items-center justify-center'>
              <Image src='/donut9.png' width={350} height={350} alt='monthly' className='w-[250px] sm:w-[350px] m-auto'/>
              <p className='text-white font-semibold capitalize'>White Chocolate & Nutella Bueno</p>
            </div>
            <div className='flex flex-col text-center items-center justify-center'>
              <Image src='/donut10.png' width={350} height={350} alt='monthly' className='w-[200px] sm:w-[300px] m-auto'/>
              <p className='text-white font-semibold capitalize'>White Chocolate Matcha Pistachio</p>
            </div>
          </Slider>
        </div>
      </div>
    </Parallax>
  )
}

export default HomeMonthly